Package org.eclipse.rdf4j.spring.dao.support.bindingsBuilder

## Class BindingsBuilder

- java.lang.Object
- - org.eclipse.rdf4j.spring.dao.support.bindingsBuilder.BindingsBuilder

- All Implemented Interfaces:
    `MutableBindings`

      public class BindingsBuilder
      extends Object
      implements MutableBindings

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindingsBuilder()` |
    `BindingsBuilder​(Map<String,​Value> bindings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BindingsBuilder` | `add​(String key, Boolean value)` |
    `BindingsBuilder` | `add​(String key, Double value)` |
    `BindingsBuilder` | `add​(String key, Float value)` |
    `BindingsBuilder` | `add​(String key, Integer value)` |
    `BindingsBuilder` | `add​(String key, String value)` |
    `BindingsBuilder` | `add​(String key, IRI value)` |
    `BindingsBuilder` | `add​(String key, Value value)` |
    `BindingsBuilder` | `add​(Variable key, Boolean value)` |
    `BindingsBuilder` | `add​(Variable key, Double value)` |
    `BindingsBuilder` | `add​(Variable key, Float value)` |
    `BindingsBuilder` | `add​(Variable key, Integer value)` |
    `BindingsBuilder` | `add​(Variable key, String value)` |
    `BindingsBuilder` | `add​(Variable key, IRI value)` |
    `BindingsBuilder` | `add​(Variable key, Value value)` |
    `BindingsBuilder` | `addMaybe​(String key, Boolean value)` |
    `BindingsBuilder` | `addMaybe​(String key, Double value)` |
    `BindingsBuilder` | `addMaybe​(String key, Float value)` |
    `BindingsBuilder` | `addMaybe​(String key, Integer value)` |
    `BindingsBuilder` | `addMaybe​(String key, String value)` |
    `BindingsBuilder` | `addMaybe​(String key, IRI value)` |
    `BindingsBuilder` | `addMaybe​(String key, Value value)` |
    `BindingsBuilder` | `addMaybe​(Variable key, Boolean value)` |
    `BindingsBuilder` | `addMaybe​(Variable var, Double value)` |
    `BindingsBuilder` | `addMaybe​(Variable key, Float value)` |
    `BindingsBuilder` | `addMaybe​(Variable key, Integer value)` |
    `BindingsBuilder` | `addMaybe​(Variable key, String value)` |
    `BindingsBuilder` | `addMaybe​(Variable key, IRI value)` |
    `BindingsBuilder` | `addMaybe​(Variable key, Value value)` |
    `Map<String,​Value>` | `build()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindingsBuilder

          public BindingsBuilder()

    - #### BindingsBuilder

          public BindingsBuilder​(Map<String,​Value> bindings)

  - ### Method Detail

    - #### build

          public Map<String,​Value> build()

    - #### add

          public BindingsBuilder add​(Variable key,
                                     Value value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(String key,
                                     Value value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(Variable key,
                                          Value value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(String key,
                                          Value value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(Variable key,
                                     IRI value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(String key,
                                     IRI value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(Variable key,
                                          IRI value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(Variable key,
                                          String value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(String key,
                                          IRI value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(Variable key,
                                     String value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(String key,
                                     String value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(String key,
                                          String value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(Variable key,
                                     Integer value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(String key,
                                     Integer value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(Variable key,
                                          Integer value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(String key,
                                          Integer value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(Variable key,
                                     Boolean value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(String key,
                                     Boolean value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(Variable key,
                                          Boolean value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(String key,
                                          Boolean value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(Variable key,
                                     Float value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(String key,
                                     Float value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(Variable key,
                                          Float value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(String key,
                                          Float value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(Variable key,
                                     Double value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### add

          public BindingsBuilder add​(String key,
                                     Double value)

      Specified by:
        `add` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(Variable var,
                                          Double value)

      Specified by:
        `addMaybe` in interface `MutableBindings`

    - #### addMaybe

          public BindingsBuilder addMaybe​(String key,
                                          Double value)

      Specified by:
        `addMaybe` in interface `MutableBindings`